# azure.mgmt.automation.models module

exception `azure.mgmt.automation.models.``ErrorResponseException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘ErrorResponse’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.automation.models.``Sku`(*, name, family: str = None, capacity: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The account SKU.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str or SkuNameEnum) – Required. Gets or sets the SKU name of the account. Possible values include: ‘Free’, ‘Basic’
  - family (str) – Gets or sets the SKU family.
  - capacity (int) – Gets or sets the SKU capacity.

class `azure.mgmt.automation.models.``AutomationAccount`(*, tags=None, location: str = None, sku=None, last_modified_by: str = None, description: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.automation.models.tracked_resource_py3.TrackedResource`

  Definition of the automation account type.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource
  - name (str) – The name of the resource
  - type (str) – The type of the resource.
  - state (str or AutomationAccountState) – Gets status of account. Possible values include: ‘Ok’, ‘Unavailable’, ‘Suspended’
  - creation_time (datetime) – Gets the creation time.
  - last_modified_time (datetime) – Gets the last modified time.

  Parameters:

  - tags (dict[str, str]) – Resource tags.
  - location (str) – The Azure Region where the resource lives
  - sku (Sku) – Gets or sets the SKU of account.
  - last_modified_by (str) – Gets or sets the last modified by.
  - description (str) – Gets or sets the description.
  - etag (str) – Gets or sets the etag of the resource.

class `azure.mgmt.automation.models.``AutomationAccountCreateOrUpdateParameters`(*, sku=None, name: str = None, location: str = None, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the create or update automation account operation.

  Parameters:

  - sku (Sku) – Gets or sets account SKU.
  - name (str) – Gets or sets name of the resource.
  - location (str) – Gets or sets the location of the resource.
  - tags (dict[str, str]) – Gets or sets the tags attached to the resource.

class `azure.mgmt.automation.models.``OperationDisplay`(*, provider: str = None, resource: str = None, operation: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Provider, Resource and Operation values.

  Parameters:

  - provider (str) – Service provider: Microsoft.Automation
  - resource (str) – Resource on which the operation is performed: Runbooks, Jobs etc.
  - operation (str) – Operation type: Read, write, delete, etc.

class `azure.mgmt.automation.models.``Operation`(*, name: str = None, display=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Automation REST API operation.

  Parameters:

  - name (str) – Operation name: {provider}/{resource}/{operation}
  - display (OperationDisplay) – Provider, Resource and Operation values

class `azure.mgmt.automation.models.``Statistics`(**kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the statistic.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - counter_property (str) – Gets the property value of the statistic.
  - counter_value (long) – Gets the value of the statistic.
  - start_time (datetime) – Gets the startTime of the statistic.
  - end_time (datetime) – Gets the endTime of the statistic.
  - id (str) – Gets the id.

class `azure.mgmt.automation.models.``UsageCounterName`(*, value: str = None, localized_value: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of usage counter name.

  Parameters:

  - value (str) – Gets or sets the usage counter name.
  - localized_value (str) – Gets or sets the localized usage counter name.

class `azure.mgmt.automation.models.``Usage`(*, id: str = None, name=None, unit: str = None, current_value: float = None, limit: int = None, throttle_status: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of Usage.

  Parameters:

  - id (str) – Gets or sets the id of the resource.
  - name (UsageCounterName) – Gets or sets the usage counter name.
  - unit (str) – Gets or sets the usage unit name.
  - current_value (float) – Gets or sets the current usage value.
  - limit (long) – Gets or sets max limit. -1 for unlimited
  - throttle_status (str) – Gets or sets the throttle status.

class `azure.mgmt.automation.models.``Key`(**kwargs)

  Bases: `msrest.serialization.Model`

  Automation key which is used to register a DSC Node.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - key_name (str or AutomationKeyName) – Automation key name. Possible values include: ‘Primary’, ‘Secondary’
  - permissions (str or AutomationKeyPermissions) – Automation key permissions. Possible values include: ‘Read’, ‘Full’
  - value (str) – Value of the Automation Key used for registration.

class `azure.mgmt.automation.models.``KeyListResult`(*, keys=None, **kwargs)

  Bases: `msrest.serialization.Model`

  KeyListResult.

  Parameters: | keys (list[Key]) – Lists the automation keys.

class `azure.mgmt.automation.models.``AutomationAccountUpdateParameters`(*, sku=None, name: str = None, location: str = None, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the update automation account operation.

  Parameters:

  - sku (Sku) – Gets or sets account SKU.
  - name (str) – Gets or sets the name of the resource.
  - location (str) – Gets or sets the location of the resource.
  - tags (dict[str, str]) – Gets or sets the tags attached to the resource.

class `azure.mgmt.automation.models.``ProxyResource`(**kwargs)

  Bases: `azure.mgmt.automation.models.resource_py3.Resource`

  ARM proxy resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource
  - name (str) – The name of the resource
  - type (str) – The type of the resource.

class `azure.mgmt.automation.models.``Resource`(**kwargs)

  Bases: `msrest.serialization.Model`

  The core properties of ARM resources.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource
  - name (str) – The name of the resource
  - type (str) – The type of the resource.

class `azure.mgmt.automation.models.``TrackedResource`(*, tags=None, location: str = None, **kwargs)

  Bases: `azure.mgmt.automation.models.resource_py3.Resource`

  The resource model definition for a ARM tracked top level resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource
  - name (str) – The name of the resource
  - type (str) – The type of the resource.

  Parameters:

  - tags (dict[str, str]) – Resource tags.
  - location (str) – The Azure Region where the resource lives

class `azure.mgmt.automation.models.``ErrorResponse`(*, code: str = None, message: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Error response of an operation failure.

  Parameters:

  - code (str) – Error code
  - message (str) – Error message indicating why the operation failed.

class `azure.mgmt.automation.models.``CertificateCreateOrUpdateParameters`(*, name: str, base64_value: str, description: str = None, thumbprint: str = None, is_exportable: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the create or update or replace certificate operation.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. Gets or sets the name of the certificate.
  - base64_value (str) – Required. Gets or sets the base64 encoded value of the certificate.
  - description (str) – Gets or sets the description of the certificate.
  - thumbprint (str) – Gets or sets the thumbprint of the certificate.
  - is_exportable (bool) – Gets or sets the is exportable flag of the certificate.

class `azure.mgmt.automation.models.``Certificate`(*, description: str = None, **kwargs)

  Bases: `azure.mgmt.automation.models.proxy_resource_py3.ProxyResource`

  Definition of the certificate.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource
  - name (str) – The name of the resource
  - type (str) – The type of the resource.
  - thumbprint (str) – Gets the thumbprint of the certificate.
  - expiry_time (datetime) – Gets the expiry time of the certificate.
  - is_exportable (bool) – Gets the is exportable flag of the certificate.
  - creation_time (datetime) – Gets the creation time.
  - last_modified_time (datetime) – Gets the last modified time.

  Parameters: | description (str) – Gets or sets the description.

class `azure.mgmt.automation.models.``CertificateUpdateParameters`(*, name: str = None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the update certificate operation.

  Parameters:

  - name (str) – Gets or sets the name of the certificate.
  - description (str) – Gets or sets the description of the certificate.

class `azure.mgmt.automation.models.``ConnectionTypeAssociationProperty`(*, name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The connection type property associated with the entity.

  Parameters: | name (str) – Gets or sets the name of the connection type.

class `azure.mgmt.automation.models.``ConnectionCreateOrUpdateParameters`(*, name: str, connection_type, description: str = None, field_definition_values=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the create or update connection operation.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. Gets or sets the name of the connection.
  - description (str) – Gets or sets the description of the connection.
  - connection_type (ConnectionTypeAssociationProperty) – Required. Gets or sets the connectionType of the connection.
  - field_definition_values (dict[str, str]) – Gets or sets the field definition properties of the connection.

class `azure.mgmt.automation.models.``Connection`(*, connection_type=None, description: str = None, **kwargs)

  Bases: `azure.mgmt.automation.models.proxy_resource_py3.ProxyResource`

  Definition of the connection.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource
  - name (str) – The name of the resource
  - type (str) – The type of the resource.
  - field_definition_values (dict[str, str]) – Gets the field definition values of the connection.
  - creation_time (datetime) – Gets the creation time.
  - last_modified_time (datetime) – Gets the last modified time.

  Parameters:

  - connection_type (ConnectionTypeAssociationProperty) – Gets or sets the connectionType of the connection.
  - description (str) – Gets or sets the description.

class `azure.mgmt.automation.models.``ConnectionUpdateParameters`(*, name: str = None, description: str = None, field_definition_values=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the update connection operation.

  Parameters:

  - name (str) – Gets or sets the name of the connection.
  - description (str) – Gets or sets the description of the connection.
  - field_definition_values (dict[str, str]) – Gets or sets the field definition values of the connection.

class `azure.mgmt.automation.models.``FieldDefinition`(*, type: str, is_encrypted: bool = None, is_optional: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the connection fields.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - is_encrypted (bool) – Gets or sets the isEncrypted flag of the connection field definition.
  - is_optional (bool) – Gets or sets the isOptional flag of the connection field definition.
  - type (str) – Required. Gets or sets the type of the connection field definition.

class `azure.mgmt.automation.models.``ConnectionType`(*, is_global: bool = None, last_modified_time=None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the connection type.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Gets the id of the resource.
  - name (str) – Gets the name of the connection type.
  - type (str) – Resource type
  - field_definitions (dict[str, FieldDefinition]) – Gets the field definitions of the connection type.
  - creation_time (datetime) – Gets the creation time.

  Parameters:

  - is_global (bool) – Gets or sets a Boolean value to indicate if the connection type is global.
  - last_modified_time (datetime) – Gets or sets the last modified time.
  - description (str) – Gets or sets the description.

class `azure.mgmt.automation.models.``ConnectionTypeCreateOrUpdateParameters`(*, name: str, field_definitions, is_global: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the create or update connection type operation.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. Gets or sets the name of the connection type.
  - is_global (bool) – Gets or sets a Boolean value to indicate if the connection type is global.
  - field_definitions (dict[str, FieldDefinition]) – Required. Gets or sets the field definitions of the connection type.

class `azure.mgmt.automation.models.``CredentialCreateOrUpdateParameters`(*, name: str, user_name: str, password: str, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the create or update credential operation.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. Gets or sets the name of the credential.
  - user_name (str) – Required. Gets or sets the user name of the credential.
  - password (str) – Required. Gets or sets the password of the credential.
  - description (str) – Gets or sets the description of the credential.

class `azure.mgmt.automation.models.``Credential`(*, description: str = None, **kwargs)

  Bases: `azure.mgmt.automation.models.proxy_resource_py3.ProxyResource`

  Definition of the credential.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource
  - name (str) – The name of the resource
  - type (str) – The type of the resource.
  - user_name (str) – Gets the user name of the credential.
  - creation_time (datetime) – Gets the creation time.
  - last_modified_time (datetime) – Gets the last modified time.

  Parameters: | description (str) – Gets or sets the description.

class `azure.mgmt.automation.models.``CredentialUpdateParameters`(*, name: str = None, user_name: str = None, password: str = None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the Update credential operation.

  Parameters:

  - name (str) – Gets or sets the name of the credential.
  - user_name (str) – Gets or sets the user name of the credential.
  - password (str) – Gets or sets the password of the credential.
  - description (str) – Gets or sets the description of the credential.

class `azure.mgmt.automation.models.``ContentHash`(*, algorithm: str, value: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the runbook property type.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - algorithm (str) – Required. Gets or sets the content hash algorithm used to hash the content.
  - value (str) – Required. Gets or sets expected hash value of the content.

class `azure.mgmt.automation.models.``ContentSource`(*, hash=None, type=None, value: str = None, version: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the content source.

  Parameters:

  - hash (ContentHash) – Gets or sets the hash.
  - type (str or ContentSourceType) – Gets or sets the content source type. Possible values include: ‘embeddedContent’, ‘uri’
  - value (str) – Gets or sets the value of the content. This is based on the content source type.
  - version (str) – Gets or sets the version of the content.

class `azure.mgmt.automation.models.``DscConfigurationParameter`(*, type: str = None, is_mandatory: bool = None, position: int = None, default_value: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the configuration parameter type.

  Parameters:

  - type (str) – Gets or sets the type of the parameter.
  - is_mandatory (bool) – Gets or sets a Boolean value to indicate whether the parameter is mandatory or not.
  - position (int) – Get or sets the position of the parameter.
  - default_value (str) – Gets or sets the default value of parameter.

class `azure.mgmt.automation.models.``DscConfigurationCreateOrUpdateParameters`(*, source, log_verbose: bool = None, log_progress: bool = None, parameters=None, description: str = None, name: str = None, location: str = None, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the create or update configuration operation.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - log_verbose (bool) – Gets or sets verbose log option.
  - log_progress (bool) – Gets or sets progress log option.
  - source (ContentSource) – Required. Gets or sets the source.
  - parameters (dict[str, DscConfigurationParameter]) – Gets or sets the configuration parameters.
  - description (str) – Gets or sets the description of the configuration.
  - name (str) – Gets or sets name of the resource.
  - location (str) – Gets or sets the location of the resource.
  - tags (dict[str, str]) – Gets or sets the tags attached to the resource.

class `azure.mgmt.automation.models.``DscConfiguration`(*, tags=None, location: str = None, provisioning_state=None, job_count: int = None, parameters=None, source=None, state=None, log_verbose: bool = None, creation_time=None, last_modified_time=None, node_configuration_count: int = None, description: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.automation.models.tracked_resource_py3.TrackedResource`

  Definition of the configuration type.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource
  - name (str) – The name of the resource
  - type (str) – The type of the resource.

  Parameters:

  - tags (dict[str, str]) – Resource tags.
  - location (str) – The Azure Region where the resource lives
  - provisioning_state (str or DscConfigurationProvisioningState) – Gets or sets the provisioning state of the configuration. Possible values include: ‘Succeeded’
  - job_count (int) – Gets or sets the job count of the configuration.
  - parameters (dict[str, DscConfigurationParameter]) – Gets or sets the configuration parameters.
  - source (ContentSource) – Gets or sets the source.
  - state (str or DscConfigurationState) – Gets or sets the state of the configuration. Possible values include: ‘New’, ‘Edit’, ‘Published’
  - log_verbose (bool) – Gets or sets verbose log option.
  - creation_time (datetime) – Gets or sets the creation time.
  - last_modified_time (datetime) – Gets or sets the last modified time.
  - node_configuration_count (int) – Gets the number of compiled node configurations.
  - description (str) – Gets or sets the description.
  - etag (str) – Gets or sets the etag of the resource.

class `azure.mgmt.automation.models.``DscConfigurationUpdateParameters`(*, source, log_verbose: bool = None, log_progress: bool = None, parameters=None, description: str = None, name: str = None, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the create or update configuration operation.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - log_verbose (bool) – Gets or sets verbose log option.
  - log_progress (bool) – Gets or sets progress log option.
  - source (ContentSource) – Required. Gets or sets the source.
  - parameters (dict[str, DscConfigurationParameter]) – Gets or sets the configuration parameters.
  - description (str) – Gets or sets the description of the configuration.
  - name (str) – Gets or sets name of the resource.
  - tags (dict[str, str]) – Gets or sets the tags attached to the resource.

class `azure.mgmt.automation.models.``RunAsCredentialAssociationProperty`(*, name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of RunAs credential to use for hybrid worker.

  Parameters: | name (str) – Gets or sets the name of the credential.

class `azure.mgmt.automation.models.``HybridRunbookWorker`(*, name: str = None, ip: str = None, registration_time=None, last_seen_date_time=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of hybrid runbook worker.

  Parameters:

  - name (str) – Gets or sets the worker machine name.
  - ip (str) – Gets or sets the assigned machine IP address.
  - registration_time (datetime) – Gets or sets the registration time of the worker machine.
  - last_seen_date_time (datetime) – Last Heartbeat from the Worker

class `azure.mgmt.automation.models.``HybridRunbookWorkerGroup`(*, id: str = None, name: str = None, hybrid_runbook_workers=None, credential=None, group_type=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of hybrid runbook worker group.

  Parameters:

  - id (str) – Gets or sets the id of the resource.
  - name (str) – Gets or sets the name of the group.
  - hybrid_runbook_workers (list[HybridRunbookWorker]) – Gets or sets the list of hybrid runbook workers.
  - credential (RunAsCredentialAssociationProperty) – Sets the credential of a worker group.
  - group_type (str or GroupTypeEnum) – Type of the HybridWorkerGroup. Possible values include: ‘User’, ‘System’

class `azure.mgmt.automation.models.``HybridRunbookWorkerGroupUpdateParameters`(*, credential=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters supplied to the update operation.

  Parameters: | credential (RunAsCredentialAssociationProperty) – Sets the credential of a worker group.

class `azure.mgmt.automation.models.``ScheduleAssociationProperty`(*, name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The schedule property associated with the entity.

  Parameters: | name (str) – Gets or sets the name of the Schedule.

class `azure.mgmt.automation.models.``RunbookAssociationProperty`(*, name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The runbook property associated with the entity.

  Parameters: | name (str) – Gets or sets the name of the runbook.

class `azure.mgmt.automation.models.``JobSchedule`(*, job_schedule_id: str = None, schedule=None, runbook=None, run_on: str = None, parameters=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the job schedule.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Gets the id of the resource.
  - name (str) – Gets the name of the variable.
  - type (str) – Resource type

  Parameters:

  - job_schedule_id (str) – Gets or sets the id of job schedule.
  - schedule (ScheduleAssociationProperty) – Gets or sets the schedule.
  - runbook (RunbookAssociationProperty) – Gets or sets the runbook.
  - run_on (str) – Gets or sets the hybrid worker group that the scheduled job should run on.
  - parameters (dict[str, str]) – Gets or sets the parameters of the job schedule.

class `azure.mgmt.automation.models.``JobScheduleCreateParameters`(*, schedule, runbook, run_on: str = None, parameters=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the create job schedule operation.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - schedule (ScheduleAssociationProperty) – Required. Gets or sets the schedule.
  - runbook (RunbookAssociationProperty) – Required. Gets or sets the runbook.
  - run_on (str) – Gets or sets the hybrid worker group that the scheduled job should run on.
  - parameters (dict[str, str]) – Gets or sets a list of job properties.

class `azure.mgmt.automation.models.``LinkedWorkspace`(**kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the linked workspace.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | id (str) – Gets the id of the linked workspace.

class `azure.mgmt.automation.models.``ActivityParameterValidationSet`(*, member_value: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the activity parameter validation set.

  Parameters: | member_value (str) – Gets or sets the name of the activity parameter validation set member.

class `azure.mgmt.automation.models.``ActivityParameter`(*, name: str = None, type: str = None, is_mandatory: bool = None, is_dynamic: bool = None, position: int = None, value_from_pipeline: bool = None, value_from_pipeline_by_property_name: bool = None, value_from_remaining_arguments: bool = None, description: str = None, validation_set=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the activity parameter.

  Parameters:

  - name (str) – Gets or sets the name of the activity parameter.
  - type (str) – Gets or sets the type of the activity parameter.
  - is_mandatory (bool) – Gets or sets a Boolean value that indicates true if the parameter is required. If the value is false, the parameter is optional.
  - is_dynamic (bool) – Gets or sets a Boolean value that indicates true if the parameter is dynamic.
  - position (long) – Gets or sets the position of the activity parameter.
  - value_from_pipeline (bool) – Gets or sets a Boolean value that indicates true if the parameter can take values from the incoming pipeline objects. This setting is used if the cmdlet must access the complete input object. false indicates that the parameter cannot take values from the complete input object.
  - value_from_pipeline_by_property_name (bool) – Gets or sets a Boolean value that indicates true if the parameter can be filled from a property of the incoming pipeline object that has the same name as this parameter. false indicates that the parameter cannot be filled from the incoming pipeline object property with the same name.
  - value_from_remaining_arguments (bool) – Gets or sets a Boolean value that indicates true if the cmdlet parameter accepts all the remaining command-line arguments that are associated with this parameter in the form of an array. false if the cmdlet parameter does not accept all the remaining argument values.
  - description (str) – Gets or sets the description of the activity parameter.
  - validation_set (list[ActivityParameterValidationSet]) – Gets or sets the validation set of activity parameter.

class `azure.mgmt.automation.models.``ActivityParameterSet`(*, name: str = None, parameters=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the activity parameter set.

  Parameters:

  - name (str) – Gets or sets the name of the activity parameter set.
  - parameters (list[ActivityParameter]) – Gets or sets the parameters of the activity parameter set.

class `azure.mgmt.automation.models.``ActivityOutputType`(*, name: str = None, type: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the activity output type.

  Parameters:

  - name (str) – Gets or sets the name of the activity output type.
  - type (str) – Gets or sets the type of the activity output type.

class `azure.mgmt.automation.models.``Activity`(*, id: str = None, definition: str = None, parameter_sets=None, output_types=None, creation_time=None, last_modified_time=None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the activity.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Gets or sets the id of the resource.
  - definition (str) – Gets or sets the user name of the activity.
  - parameter_sets (list[ActivityParameterSet]) – Gets or sets the parameter sets of the activity.
  - output_types (list[ActivityOutputType]) – Gets or sets the output types of the activity.
  - creation_time (datetime) – Gets or sets the creation time.
  - last_modified_time (datetime) – Gets or sets the last modified time.
  - description (str) – Gets or sets the description.

  Variables: | name (str) – Gets the name of the activity.

class `azure.mgmt.automation.models.``ModuleErrorInfo`(*, code: str = None, message: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the module error info type.

  Parameters:

  - code (str) – Gets or sets the error code.
  - message (str) – Gets or sets the error message.

class `azure.mgmt.automation.models.``ContentLink`(*, uri: str = None, content_hash=None, version: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the content link.

  Parameters:

  - uri (str) – Gets or sets the uri of the runbook content.
  - content_hash (ContentHash) – Gets or sets the hash.
  - version (str) – Gets or sets the version of the content.

class `azure.mgmt.automation.models.``Module`(*, tags=None, location: str = None, is_global: bool = None, version: str = None, size_in_bytes: int = None, activity_count: int = None, provisioning_state=None, content_link=None, error=None, creation_time=None, last_modified_time=None, description: str = None, is_composite: bool = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.automation.models.tracked_resource_py3.TrackedResource`

  Definition of the module type.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource
  - name (str) – The name of the resource
  - type (str) – The type of the resource.

  Parameters:

  - tags (dict[str, str]) – Resource tags.
  - location (str) – The Azure Region where the resource lives
  - is_global (bool) – Gets or sets the isGlobal flag of the module.
  - version (str) – Gets or sets the version of the module.
  - size_in_bytes (long) – Gets or sets the size in bytes of the module.
  - activity_count (int) – Gets or sets the activity count of the module.
  - provisioning_state (str or ModuleProvisioningState) – Gets or sets the provisioning state of the module. Possible values include: ‘Created’, ‘Creating’, ‘StartingImportModuleRunbook’, ‘RunningImportModuleRunbook’, ‘ContentRetrieved’, ‘ContentDownloaded’, ‘ContentValidated’, ‘ConnectionTypeImported’, ‘ContentStored’, ‘ModuleDataStored’, ‘ActivitiesStored’, ‘ModuleImportRunbookComplete’, ‘Succeeded’, ‘Failed’, ‘Cancelled’, ‘Updating’
  - content_link (ContentLink) – Gets or sets the contentLink of the module.
  - error (ModuleErrorInfo) – Gets or sets the error info of the module.
  - creation_time (datetime) – Gets or sets the creation time.
  - last_modified_time (datetime) – Gets or sets the last modified time.
  - description (str) – Gets or sets the description.
  - is_composite (bool) – Gets or sets type of module, if its composite or not.
  - etag (str) – Gets or sets the etag of the resource.

class `azure.mgmt.automation.models.``ModuleCreateOrUpdateParameters`(*, content_link, name: str = None, location: str = None, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the create or update module operation.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - content_link (ContentLink) – Required. Gets or sets the module content link.
  - name (str) – Gets or sets name of the resource.
  - location (str) – Gets or sets the location of the resource.
  - tags (dict[str, str]) – Gets or sets the tags attached to the resource.

class `azure.mgmt.automation.models.``ModuleUpdateParameters`(*, content_link=None, name: str = None, location: str = None, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the update module operation.

  Parameters:

  - content_link (ContentLink) – Gets or sets the module content link.
  - name (str) – Gets or sets name of the resource.
  - location (str) – Gets or sets the location of the resource.
  - tags (dict[str, str]) – Gets or sets the tags attached to the resource.

class `azure.mgmt.automation.models.``TypeField`(*, name: str = None, type: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Information about a field of a type.

  Parameters:

  - name (str) – Gets or sets the name of the field.
  - type (str) – Gets or sets the type of the field.

class `azure.mgmt.automation.models.``AdvancedScheduleMonthlyOccurrence`(*, occurrence: int = None, day=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The properties of the create advanced schedule monthly occurrence.

  Parameters:

  - occurrence (int) – Occurrence of the week within the month. Must be between 1 and 5
  - day (str or ScheduleDay) – Day of the occurrence. Must be one of monday, tuesday, wednesday, thursday, friday, saturday, sunday. Possible values include: ‘Monday’, ‘Tuesday’, ‘Wednesday’, ‘Thursday’, ‘Friday’, ‘Saturday’, ‘Sunday’

class `azure.mgmt.automation.models.``AdvancedSchedule`(*, week_days=None, month_days=None, monthly_occurrences=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The properties of the create Advanced Schedule.

  Parameters:

  - week_days (list[str]) – Days of the week that the job should execute on.
  - month_days (list[int]) – Days of the month that the job should execute on. Must be between 1 and 31.
  - monthly_occurrences (list[AdvancedScheduleMonthlyOccurrence]) – Occurrences of days within a month.

class `azure.mgmt.automation.models.``ScheduleCreateOrUpdateParameters`(*, name: str, start_time, frequency, description: str = None, expiry_time=None, interval=None, time_zone: str = None, advanced_schedule=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the create or update schedule operation.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. Gets or sets the name of the Schedule.
  - description (str) – Gets or sets the description of the schedule.
  - start_time (datetime) – Required. Gets or sets the start time of the schedule.
  - expiry_time (datetime) – Gets or sets the end time of the schedule.
  - interval (object) – Gets or sets the interval of the schedule.
  - frequency (str or ScheduleFrequency) – Required. Possible values include: ‘OneTime’, ‘Day’, ‘Hour’, ‘Week’, ‘Month’
  - time_zone (str) – Gets or sets the time zone of the schedule.
  - advanced_schedule (AdvancedSchedule) – Gets or sets the AdvancedSchedule.

class `azure.mgmt.automation.models.``ScheduleProperties`(*, start_time=None, expiry_time=None, expiry_time_offset_minutes: float = None, is_enabled: bool = False, next_run=None, next_run_offset_minutes: float = None, interval: int = None, frequency=None, time_zone: str = None, advanced_schedule=None, creation_time=None, last_modified_time=None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of schedule parameters.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - start_time (datetime) – Gets or sets the start time of the schedule.
  - expiry_time (datetime) – Gets or sets the end time of the schedule.
  - expiry_time_offset_minutes (float) – Gets or sets the expiry time’s offset in minutes.
  - is_enabled (bool) – Gets or sets a value indicating whether this schedule is enabled. Default value: False .
  - next_run (datetime) – Gets or sets the next run time of the schedule.
  - next_run_offset_minutes (float) – Gets or sets the next run time’s offset in minutes.
  - interval (int) – Gets or sets the interval of the schedule.
  - frequency (str or ScheduleFrequency) – Gets or sets the frequency of the schedule. Possible values include: ‘OneTime’, ‘Day’, ‘Hour’, ‘Week’, ‘Month’
  - time_zone (str) – Gets or sets the time zone of the schedule.
  - advanced_schedule (AdvancedSchedule) – Gets or sets the advanced schedule.
  - creation_time (datetime) – Gets or sets the creation time.
  - last_modified_time (datetime) – Gets or sets the last modified time.
  - description (str) – Gets or sets the description.

  Variables: | start_time_offset_minutes (float) – Gets the start time’s offset in minutes.

class `azure.mgmt.automation.models.``Schedule`(*, start_time=None, expiry_time=None, expiry_time_offset_minutes: float = None, is_enabled: bool = False, next_run=None, next_run_offset_minutes: float = None, interval: int = None, frequency=None, time_zone: str = None, advanced_schedule=None, creation_time=None, last_modified_time=None, description: str = None, **kwargs)

  Bases: `azure.mgmt.automation.models.proxy_resource_py3.ProxyResource`

  Definition of the schedule.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource
  - name (str) – The name of the resource
  - type (str) – The type of the resource.
  - start_time_offset_minutes (float) – Gets the start time’s offset in minutes.

  Parameters:

  - start_time (datetime) – Gets or sets the start time of the schedule.
  - expiry_time (datetime) – Gets or sets the end time of the schedule.
  - expiry_time_offset_minutes (float) – Gets or sets the expiry time’s offset in minutes.
  - is_enabled (bool) – Gets or sets a value indicating whether this schedule is enabled. Default value: False .
  - next_run (datetime) – Gets or sets the next run time of the schedule.
  - next_run_offset_minutes (float) – Gets or sets the next run time’s offset in minutes.
  - interval (int) – Gets or sets the interval of the schedule.
  - frequency (str or ScheduleFrequency) – Gets or sets the frequency of the schedule. Possible values include: ‘OneTime’, ‘Day’, ‘Hour’, ‘Week’, ‘Month’
  - time_zone (str) – Gets or sets the time zone of the schedule.
  - advanced_schedule (AdvancedSchedule) – Gets or sets the advanced schedule.
  - creation_time (datetime) – Gets or sets the creation time.
  - last_modified_time (datetime) – Gets or sets the last modified time.
  - description (str) – Gets or sets the description.

class `azure.mgmt.automation.models.``ScheduleUpdateParameters`(*, name: str = None, description: str = None, is_enabled: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the update schedule operation.

  Parameters:

  - name (str) – Gets or sets the name of the Schedule.
  - description (str) – Gets or sets the description of the schedule.
  - is_enabled (bool) – Gets or sets a value indicating whether this schedule is enabled.

class `azure.mgmt.automation.models.``VariableCreateOrUpdateParameters`(*, name: str, value: str = None, description: str = None, is_encrypted: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the create or update variable operation.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. Gets or sets the name of the variable.
  - value (str) – Gets or sets the value of the variable.
  - description (str) – Gets or sets the description of the variable.
  - is_encrypted (bool) – Gets or sets the encrypted flag of the variable.

class `azure.mgmt.automation.models.``Variable`(*, value: str = None, is_encrypted: bool = None, creation_time=None, last_modified_time=None, description: str = None, **kwargs)

  Bases: `azure.mgmt.automation.models.proxy_resource_py3.ProxyResource`

  Definition of the variable.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource
  - name (str) – The name of the resource
  - type (str) – The type of the resource.

  Parameters:

  - value (str) – Gets or sets the value of the variable.
  - is_encrypted (bool) – Gets or sets the encrypted flag of the variable.
  - creation_time (datetime) – Gets or sets the creation time.
  - last_modified_time (datetime) – Gets or sets the last modified time.
  - description (str) – Gets or sets the description.

class `azure.mgmt.automation.models.``VariableUpdateParameters`(*, name: str = None, value: str = None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the update variable operation.

  Parameters:

  - name (str) – Gets or sets the name of the variable.
  - value (str) – Gets or sets the value of the variable.
  - description (str) – Gets or sets the description of the variable.

class `azure.mgmt.automation.models.``Webhook`(*, is_enabled: bool = False, uri: str = None, expiry_time=None, last_invoked_time=None, parameters=None, runbook=None, run_on: str = None, creation_time=None, last_modified_time=None, last_modified_by: str = None, description: str = None, **kwargs)

  Bases: `azure.mgmt.automation.models.proxy_resource_py3.ProxyResource`

  Definition of the webhook type.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource
  - name (str) – The name of the resource
  - type (str) – The type of the resource.

  Parameters:

  - is_enabled (bool) – Gets or sets the value of the enabled flag of the webhook. Default value: False .
  - uri (str) – Gets or sets the webhook uri.
  - expiry_time (datetime) – Gets or sets the expiry time.
  - last_invoked_time (datetime) – Gets or sets the last invoked time.
  - parameters (dict[str, str]) – Gets or sets the parameters of the job that is created when the webhook calls the runbook it is associated with.
  - runbook (RunbookAssociationProperty) – Gets or sets the runbook the webhook is associated with.
  - run_on (str) – Gets or sets the name of the hybrid worker group the webhook job will run on.
  - creation_time (datetime) – Gets or sets the creation time.
  - last_modified_time (datetime) – Gets or sets the last modified time.
  - last_modified_by (str) – Details of the user who last modified the Webhook
  - description (str) – Gets or sets the description.

class `azure.mgmt.automation.models.``WebhookUpdateParameters`(*, name: str = None, is_enabled: bool = None, run_on: str = None, parameters=None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the update webhook operation.

  Parameters:

  - name (str) – Gets or sets the name of the webhook.
  - is_enabled (bool) – Gets or sets the value of the enabled flag of webhook.
  - run_on (str) – Gets or sets the name of the hybrid worker group the webhook job will run on.
  - parameters (dict[str, str]) – Gets or sets the parameters of the job.
  - description (str) – Gets or sets the description of the webhook.

class `azure.mgmt.automation.models.``WebhookCreateOrUpdateParameters`(*, name: str, is_enabled: bool = None, uri: str = None, expiry_time=None, parameters=None, runbook=None, run_on: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the create or update webhook operation.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. Gets or sets the name of the webhook.
  - is_enabled (bool) – Gets or sets the value of the enabled flag of webhook.
  - uri (str) – Gets or sets the uri.
  - expiry_time (datetime) – Gets or sets the expiry time.
  - parameters (dict[str, str]) – Gets or sets the parameters of the job.
  - runbook (RunbookAssociationProperty) – Gets or sets the runbook.
  - run_on (str) – Gets or sets the name of the hybrid worker group the webhook job will run on.

class `azure.mgmt.automation.models.``Watcher`(*, tags=None, location: str = None, execution_frequency_in_seconds: int = None, script_name: str = None, script_parameters=None, script_run_on: str = None, description: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.automation.models.tracked_resource_py3.TrackedResource`

  Definition of the watcher type.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource
  - name (str) – The name of the resource
  - type (str) – The type of the resource.
  - status (str) – Gets the current status of the watcher.
  - creation_time (datetime) – Gets or sets the creation time.
  - last_modified_time (datetime) – Gets or sets the last modified time.
  - last_modified_by (str) – Details of the user who last modified the watcher.

  Parameters:

  - tags (dict[str, str]) – Resource tags.
  - location (str) – The Azure Region where the resource lives
  - execution_frequency_in_seconds (long) – Gets or sets the frequency at which the watcher is invoked.
  - script_name (str) – Gets or sets the name of the script the watcher is attached to, i.e. the name of an existing runbook.
  - script_parameters (dict[str, str]) – Gets or sets the parameters of the script.
  - script_run_on (str) – Gets or sets the name of the hybrid worker group the watcher will run on.
  - description (str) – Gets or sets the description.
  - etag (str) – Gets or sets the etag of the resource.

class `azure.mgmt.automation.models.``WatcherUpdateParameters`(*, execution_frequency_in_seconds: int = None, name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  WatcherUpdateParameters.

  Parameters:

  - execution_frequency_in_seconds (long) – Gets or sets the frequency at which the watcher is invoked.
  - name (str) – Gets or sets the name of the resource.

class `azure.mgmt.automation.models.``WindowsProperties`(*, included_update_classifications=None, excluded_kb_numbers=None, included_kb_numbers=None, reboot_setting: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Windows specific update configuration.

  Parameters:

  - included_update_classifications (str or WindowsUpdateClasses) – Update classification included in the software update configuration. A comma separated string with required values. Possible values include: ‘Unclassified’, ‘Critical’, ‘Security’, ‘UpdateRollup’, ‘FeaturePack’, ‘ServicePack’, ‘Definition’, ‘Tools’, ‘Updates’
  - excluded_kb_numbers (list[str]) – KB numbers excluded from the software update configuration.
  - included_kb_numbers (list[str]) – KB numbers included from the software update configuration.
  - reboot_setting (str) – Reboot setting for the software update configuration.

class `azure.mgmt.automation.models.``LinuxProperties`(*, included_package_classifications=None, excluded_package_name_masks=None, included_package_name_masks=None, reboot_setting: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Linux specific update configuration.

  Parameters:

  - included_package_classifications (str or LinuxUpdateClasses) – Update classifications included in the software update configuration. Possible values include: ‘Unclassified’, ‘Critical’, ‘Security’, ‘Other’
  - excluded_package_name_masks (list[str]) – packages excluded from the software update configuration.
  - included_package_name_masks (list[str]) – packages included from the software update configuration.
  - reboot_setting (str) – Reboot setting for the software update configuration.

class `azure.mgmt.automation.models.``TagSettingsProperties`(*, tags=None, filter_operator=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Tag filter information for the VM.

  Parameters:

  - tags (dict[str, list[str]]) – Dictionary of tags with its list of values.
  - filter_operator (str or TagOperators) – Filter VMs by Any or All specified tags. Possible values include: ‘All’, ‘Any’

class `azure.mgmt.automation.models.``AzureQueryProperties`(*, scope=None, locations=None, tag_settings=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Azure query for the update configuration.

  Parameters:

  - scope (list[str]) – List of Subscription or Resource Group ARM Ids.
  - locations (list[str]) – List of locations to scope the query to.
  - tag_settings (TagSettingsProperties) – Tag settings for the VM.

class `azure.mgmt.automation.models.``NonAzureQueryProperties`(*, function_alias: str = None, workspace_id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Non Azure query for the update configuration.

  Parameters:

  - function_alias (str) – Log Analytics Saved Search name.
  - workspace_id (str) – Workspace Id for Log Analytics in which the saved Search is resided.

class `azure.mgmt.automation.models.``TargetProperties`(*, azure_queries=None, non_azure_queries=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Group specific to the update configuration.

  Parameters:

  - azure_queries (list[AzureQueryProperties]) – List of Azure queries in the software update configuration.
  - non_azure_queries (list[NonAzureQueryProperties]) – List of non Azure queries in the software update configuration.

class `azure.mgmt.automation.models.``UpdateConfiguration`(*, operating_system, windows=None, linux=None, duration=None, azure_virtual_machines=None, non_azure_computer_names=None, targets=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Update specific properties of the software update configuration.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - operating_system (str or OperatingSystemType) – Required. operating system of target machines. Possible values include: ‘Windows’, ‘Linux’
  - windows (WindowsProperties) – Windows specific update configuration.
  - linux (LinuxProperties) – Linux specific update configuration.
  - duration (timedelta) – Maximum time allowed for the software update configuration run. Duration needs to be specified using the format PT[n]H[n]M[n]S as per ISO8601
  - azure_virtual_machines (list[str]) – List of azure resource Ids for azure virtual machines targeted by the software update configuration.
  - non_azure_computer_names (list[str]) – List of names of non-azure machines targeted by the software update configuration.
  - targets (TargetProperties) – Group targets for the software update configuration.

class `azure.mgmt.automation.models.``TaskProperties`(*, parameters=None, source: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Task properties of the software update configuration.

  Parameters:

  - parameters (dict[str, str]) – Gets or sets the parameters of the task.
  - source (str) – Gets or sets the name of the runbook.

class `azure.mgmt.automation.models.``SoftwareUpdateConfigurationTasks`(*, pre_task=None, post_task=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Task properties of the software update configuration.

  Parameters:

  - pre_task (TaskProperties) – Pre task properties.
  - post_task (TaskProperties) – Post task properties.

class `azure.mgmt.automation.models.``SoftwareUpdateConfiguration`(*, update_configuration, schedule_info, error=None, tasks=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Software update configuration properties.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - name (str) – Resource name.
  - id (str) – Resource Id.
  - type (str) – Resource type
  - provisioning_state (str) – Provisioning state for the software update configuration, which only appears in the response.
  - creation_time (datetime) – Creation time of the resource, which only appears in the response.
  - created_by (str) – CreatedBy property, which only appears in the response.
  - last_modified_time (datetime) – Last time resource was modified, which only appears in the response.
  - last_modified_by (str) – LastModifiedBy property, which only appears in the response.

  Parameters:

  - update_configuration (UpdateConfiguration) – Required. update specific properties for the Software update configuration
  - schedule_info (ScheduleProperties) – Required. Schedule information for the Software update configuration
  - error (ErrorResponse) – Details of provisioning error
  - tasks (SoftwareUpdateConfigurationTasks) – Tasks information for the Software update configuration.

class `azure.mgmt.automation.models.``CollectionItemUpdateConfiguration`(*, azure_virtual_machines=None, duration=None, **kwargs)

  Bases: `msrest.serialization.Model`

  object returned when requesting a collection of software update configuration.

  Parameters:

  - azure_virtual_machines (list[str]) – List of azure resource Ids for azure virtual machines targeted by the software update configuration.
  - duration (timedelta) – Maximum time allowed for the software update configuration run. Duration needs to be specified using the format PT[n]H[n]M[n]S as per ISO8601

class `azure.mgmt.automation.models.``SoftwareUpdateConfigurationCollectionItem`(*, update_configuration=None, frequency=None, start_time=None, next_run=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Software update configuration collection item properties.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - name (str) – Name of the software update configuration.
  - id (str) – Resource Id of the software update configuration
  - creation_time (datetime) – Creation time of the software update configuration, which only appears in the response.
  - last_modified_time (datetime) – Last time software update configuration was modified, which only appears in the response.
  - provisioning_state (str) – Provisioning state for the software update configuration, which only appears in the response.

  Parameters:

  - update_configuration (CollectionItemUpdateConfiguration) – Update specific properties of the software update configuration.
  - frequency (str or ScheduleFrequency) – execution frequency of the schedule associated with the software update configuration. Possible values include: ‘OneTime’, ‘Day’, ‘Hour’, ‘Week’, ‘Month’
  - start_time (datetime) – the start time of the update.
  - next_run (datetime) – ext run time of the update.

class `azure.mgmt.automation.models.``SoftwareUpdateConfigurationListResult`(*, value=None, **kwargs)

  Bases: `msrest.serialization.Model`

  result of listing all software update configuration.

  Parameters: | value (list[SoftwareUpdateConfigurationCollectionItem]) – outer object returned when listing all software update configurations

class `azure.mgmt.automation.models.``UpdateConfigurationNavigation`(**kwargs)

  Bases: `msrest.serialization.Model`

  Software update configuration Run Navigation model.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | name (str) – Name of the software update configuration triggered the software update configuration run

class `azure.mgmt.automation.models.``SoftareUpdateConfigurationRunTaskProperties`(*, status: str = None, source: str = None, job_id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Task properties of the software update configuration.

  Parameters:

  - status (str) – The status of the task.
  - source (str) – The name of the source of the task.
  - job_id (str) – The job id of the task.

class `azure.mgmt.automation.models.``SoftareUpdateConfigurationRunTasks`(*, pre_task=None, post_task=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Software update configuration run tasks model.

  Parameters:

  - pre_task (SoftareUpdateConfigurationRunTaskProperties) – Pre task properties.
  - post_task (SoftareUpdateConfigurationRunTaskProperties) – Post task properties.

class `azure.mgmt.automation.models.``SoftwareUpdateConfigurationRun`(*, software_update_configuration=None, tasks=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Software update configuration Run properties.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - name (str) – Name of the software update configuration run.
  - id (str) – Resource Id of the software update configuration run
  - status (str) – Status of the software update configuration run.
  - configured_duration (str) – Configured duration for the software update configuration run.
  - os_type (str) – Operating system target of the software update configuration triggered this run
  - start_time (datetime) – Start time of the software update configuration run.
  - end_time (datetime) – End time of the software update configuration run.
  - computer_count (int) – Number of computers in the software update configuration run.
  - failed_count (int) – Number of computers with failed status.
  - creation_time (datetime) – Creation time of the resource, which only appears in the response.
  - created_by (str) – CreatedBy property, which only appears in the response.
  - last_modified_time (datetime) – Last time resource was modified, which only appears in the response.
  - last_modified_by (str) – LastModifiedBy property, which only appears in the response.

  Parameters:

  - software_update_configuration (UpdateConfigurationNavigation) – software update configuration triggered this run
  - tasks (SoftareUpdateConfigurationRunTasks) – Software update configuration tasks triggered in this run

class `azure.mgmt.automation.models.``SoftwareUpdateConfigurationRunListResult`(*, value=None, next_link: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  result of listing all software update configuration runs.

  Parameters:

  - value (list[SoftwareUpdateConfigurationRun]) – outer object returned when listing all software update configuration runs
  - next_link (str) – link to next page of results.

class `azure.mgmt.automation.models.``JobNavigation`(**kwargs)

  Bases: `msrest.serialization.Model`

  Software update configuration machine run job navigation properties.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | id (str) – Id of the job associated with the software update configuration run

class `azure.mgmt.automation.models.``SoftwareUpdateConfigurationMachineRun`(*, software_update_configuration=None, job=None, error=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Software update configuration machine run model.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - name (str) – Name of the software update configuration machine run
  - id (str) – Resource Id of the software update configuration machine run
  - target_computer (str) – name of the updated computer
  - target_computer_type (str) – type of the updated computer.
  - status (str) – Status of the software update configuration machine run.
  - os_type (str) – Operating system target of the software update configuration triggered this run
  - correlation_id (str) – correlation id of the software update configuration machine run
  - source_computer_id (str) – source computer id of the software update configuration machine run
  - start_time (datetime) – Start time of the software update configuration machine run.
  - end_time (datetime) – End time of the software update configuration machine run.
  - configured_duration (str) – configured duration for the software update configuration run.
  - creation_time (datetime) – Creation time of the resource, which only appears in the response.
  - created_by (str) – createdBy property, which only appears in the response.
  - last_modified_time (datetime) – Last time resource was modified, which only appears in the response.
  - last_modified_by (str) – lastModifiedBy property, which only appears in the response.

  Parameters:

  - software_update_configuration (UpdateConfigurationNavigation) – software update configuration triggered this run
  - job (JobNavigation) – Job associated with the software update configuration machine run
  - error (ErrorResponse) – Details of provisioning error

class `azure.mgmt.automation.models.``SoftwareUpdateConfigurationMachineRunListResult`(*, value=None, next_link: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  result of listing all software update configuration machine runs.

  Parameters:

  - value (list[SoftwareUpdateConfigurationMachineRun]) – outer object returned when listing all software update configuration machine runs
  - next_link (str) – link to next page of results.

class `azure.mgmt.automation.models.``SourceControl`(*, repo_url: str = None, branch: str = None, folder_path: str = None, auto_sync: bool = None, publish_runbook: bool = None, source_type=None, description: str = None, creation_time=None, last_modified_time=None, **kwargs)

  Bases: `azure.mgmt.automation.models.proxy_resource_py3.ProxyResource`

  Definition of the source control.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource
  - name (str) – The name of the resource
  - type (str) – The type of the resource.

  Parameters:

  - repo_url (str) – The repo url of the source control.
  - branch (str) – The repo branch of the source control. Include branch as empty string for VsoTfvc.
  - folder_path (str) – The folder path of the source control.
  - auto_sync (bool) – The auto sync of the source control. Default is false.
  - publish_runbook (bool) – The auto publish of the source control. Default is true.
  - source_type (str or SourceType) – The source type. Must be one of VsoGit, VsoTfvc, GitHub. Possible values include: ‘VsoGit’, ‘VsoTfvc’, ‘GitHub’
  - description (str) – The description.
  - creation_time (datetime) – The creation time.
  - last_modified_time (datetime) – The last modified time.

class `azure.mgmt.automation.models.``SourceControlSecurityTokenProperties`(*, access_token: str = None, refresh_token: str = None, token_type=None, **kwargs)

  Bases: `msrest.serialization.Model`

  SourceControlSecurityTokenProperties.

  Parameters:

  - access_token (str) – The access token.
  - refresh_token (str) – The refresh token.
  - token_type (str or TokenType) – The token type. Must be either PersonalAccessToken or Oauth. Possible values include: ‘PersonalAccessToken’, ‘Oauth’

class `azure.mgmt.automation.models.``SourceControlUpdateParameters`(*, branch: str = None, folder_path: str = None, auto_sync: bool = None, publish_runbook: bool = None, security_token=None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the update source control operation.

  Parameters:

  - branch (str) – The repo branch of the source control.
  - folder_path (str) – The folder path of the source control. Path must be relative.
  - auto_sync (bool) – The auto sync of the source control. Default is false.
  - publish_runbook (bool) – The auto publish of the source control. Default is true.
  - security_token (SourceControlSecurityTokenProperties) – The authorization token for the repo of the source control.
  - description (str) – The user description of the source control.

class `azure.mgmt.automation.models.``SourceControlCreateOrUpdateParameters`(*, repo_url: str = None, branch: str = None, folder_path: str = None, auto_sync: bool = None, publish_runbook: bool = None, source_type=None, security_token=None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the create or update source control operation.

  Parameters:

  - repo_url (str) – The repo url of the source control.
  - branch (str) – The repo branch of the source control. Include branch as empty string for VsoTfvc.
  - folder_path (str) – The folder path of the source control. Path must be relative.
  - auto_sync (bool) – The auto async of the source control. Default is false.
  - publish_runbook (bool) – The auto publish of the source control. Default is true.
  - source_type (str or SourceType) – The source type. Must be one of VsoGit, VsoTfvc, GitHub, case sensitive. Possible values include: ‘VsoGit’, ‘VsoTfvc’, ‘GitHub’
  - security_token (SourceControlSecurityTokenProperties) – The authorization token for the repo of the source control.
  - description (str) – The user description of the source control.

class `azure.mgmt.automation.models.``SourceControlSyncJob`(*, source_control_sync_job_id: str = None, provisioning_state=None, sync_type=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the source control sync job.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - id (str) – Resource id.
  - creation_time (datetime) – The creation time of the job.
  - start_time (datetime) – The start time of the job.
  - end_time (datetime) – The end time of the job.

  Parameters:

  - source_control_sync_job_id (str) – The source control sync job id.
  - provisioning_state (str or ProvisioningState) – The provisioning state of the job. Possible values include: ‘Completed’, ‘Failed’, ‘Running’
  - sync_type (str or SyncType) – The sync type. Possible values include: ‘PartialSync’, ‘FullSync’

class `azure.mgmt.automation.models.``SourceControlSyncJobCreateParameters`(*, commit_id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the create source control sync job operation.

  All required parameters must be populated in order to send to Azure.

  Parameters: | commit_id (str) – Required. The commit id of the source control sync job. If not syncing to a commitId, enter an empty string.

class `azure.mgmt.automation.models.``SourceControlSyncJobById`(*, id: str = None, source_control_sync_job_id: str = None, provisioning_state=None, sync_type=None, exception: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the source control sync job.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – The id of the job.
  - source_control_sync_job_id (str) – The source control sync job id.
  - provisioning_state (str or ProvisioningState) – The provisioning state of the job. Possible values include: ‘Completed’, ‘Failed’, ‘Running’
  - sync_type (str or SyncType) – The sync type. Possible values include: ‘PartialSync’, ‘FullSync’
  - exception (str) – The exceptions that occurred while running the sync job.

  Variables:

  - creation_time (datetime) – The creation time of the job.
  - start_time (datetime) – The start time of the job.
  - end_time (datetime) – The end time of the job.

class `azure.mgmt.automation.models.``SourceControlSyncJobStream`(*, source_control_sync_job_stream_id: str = None, summary: str = None, stream_type=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the source control sync job stream.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource id.
  - time (datetime) – The time of the sync job stream.

  Parameters:

  - source_control_sync_job_stream_id (str) – The sync job stream id.
  - summary (str) – The summary of the sync job stream.
  - stream_type (str or StreamType) – The type of the sync job stream. Possible values include: ‘Error’, ‘Output’

class `azure.mgmt.automation.models.``SourceControlSyncJobStreamById`(*, source_control_sync_job_stream_id: str = None, summary: str = None, stream_type=None, stream_text: str = None, value=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the source control sync job stream by id.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource id.
  - time (datetime) – The time of the sync job stream.

  Parameters:

  - source_control_sync_job_stream_id (str) – The sync job stream id.
  - summary (str) – The summary of the sync job stream.
  - stream_type (str or StreamType) – The type of the sync job stream. Possible values include: ‘Error’, ‘Output’
  - stream_text (str) – The text of the sync job stream.
  - value (dict[str, object]) – The values of the job stream.

class `azure.mgmt.automation.models.``JobStream`(*, id: str = None, job_stream_id: str = None, time=None, stream_type=None, stream_text: str = None, summary: str = None, value=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the job stream.

  Parameters:

  - id (str) – Gets or sets the id of the resource.
  - job_stream_id (str) – Gets or sets the id of the job stream.
  - time (datetime) – Gets or sets the creation time of the job.
  - stream_type (str or JobStreamType) – Gets or sets the stream type. Possible values include: ‘Progress’, ‘Output’, ‘Warning’, ‘Error’, ‘Debug’, ‘Verbose’, ‘Any’
  - stream_text (str) – Gets or sets the stream text.
  - summary (str) – Gets or sets the summary.
  - value (dict[str, object]) – Gets or sets the values of the job stream.

class `azure.mgmt.automation.models.``JobStreamListResult`(*, value=None, next_link: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The response model for the list job stream operation.

  Parameters:

  - value (list[JobStream]) – A list of job streams.
  - next_link (str) – Gets or sets the next link.

class `azure.mgmt.automation.models.``Job`(*, runbook=None, started_by: str = None, run_on: str = None, job_id: str = None, creation_time=None, status=None, status_details: str = None, start_time=None, end_time=None, exception: str = None, last_modified_time=None, last_status_modified_time=None, parameters=None, provisioning_state=None, **kwargs)

  Bases: `azure.mgmt.automation.models.proxy_resource_py3.ProxyResource`

  Definition of the job.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource
  - name (str) – The name of the resource
  - type (str) – The type of the resource.

  Parameters:

  - runbook (RunbookAssociationProperty) – Gets or sets the runbook.
  - started_by (str) – Gets or sets the job started by.
  - run_on (str) – Gets or sets the runOn which specifies the group name where the job is to be executed.
  - job_id (str) – Gets or sets the id of the job.
  - creation_time (datetime) – Gets or sets the creation time of the job.
  - status (str or JobStatus) – Gets or sets the status of the job. Possible values include: ‘New’, ‘Activating’, ‘Running’, ‘Completed’, ‘Failed’, ‘Stopped’, ‘Blocked’, ‘Suspended’, ‘Disconnected’, ‘Suspending’, ‘Stopping’, ‘Resuming’, ‘Removing’
  - status_details (str) – Gets or sets the status details of the job.
  - start_time (datetime) – Gets or sets the start time of the job.
  - end_time (datetime) – Gets or sets the end time of the job.
  - exception (str) – Gets or sets the exception of the job.
  - last_modified_time (datetime) – Gets or sets the last modified time of the job.
  - last_status_modified_time (datetime) – Gets or sets the last status modified time of the job.
  - parameters (dict[str, str]) – Gets or sets the parameters of the job.
  - provisioning_state (str or JobProvisioningState) – The current provisioning state of the job. Possible values include: ‘Failed’, ‘Succeeded’, ‘Suspended’, ‘Processing’

class `azure.mgmt.automation.models.``JobCollectionItem`(*, run_on: str = None, **kwargs)

  Bases: `azure.mgmt.automation.models.proxy_resource_py3.ProxyResource`

  Job collection item properties.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource
  - name (str) – The name of the resource
  - type (str) – The type of the resource.
  - runbook (RunbookAssociationProperty) – The runbook association.
  - job_id (str) – The id of the job.
  - creation_time (datetime) – The creation time of the job.
  - status (str or JobStatus) – The status of the job. Possible values include: ‘New’, ‘Activating’, ‘Running’, ‘Completed’, ‘Failed’, ‘Stopped’, ‘Blocked’, ‘Suspended’, ‘Disconnected’, ‘Suspending’, ‘Stopping’, ‘Resuming’, ‘Removing’
  - start_time (datetime) – The start time of the job.
  - end_time (datetime) – The end time of the job.
  - last_modified_time (datetime) – The last modified time of the job.
  - provisioning_state (str) – The provisioning state of a resource.

  Parameters: | run_on (str) – Specifies the runOn group name where the job was executed.

class `azure.mgmt.automation.models.``JobCreateParameters`(*, runbook=None, parameters=None, run_on: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the create job operation.

  Parameters:

  - runbook (RunbookAssociationProperty) – Gets or sets the runbook.
  - parameters (dict[str, str]) – Gets or sets the parameters of the job.
  - run_on (str) – Gets or sets the runOn which specifies the group name where the job is to be executed.

class `azure.mgmt.automation.models.``DscReportError`(*, error_source: str = None, resource_id: str = None, error_code: str = None, error_message: str = None, locale: str = None, error_details: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the dsc node report error type.

  Parameters:

  - error_source (str) – Gets or sets the source of the error.
  - resource_id (str) – Gets or sets the resource ID which generated the error.
  - error_code (str) – Gets or sets the error code.
  - error_message (str) – Gets or sets the error message.
  - locale (str) – Gets or sets the locale of the error.
  - error_details (str) – Gets or sets the error details.

class `azure.mgmt.automation.models.``DscReportResourceNavigation`(*, resource_id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Navigation for DSC Report Resource.

  Parameters: | resource_id (str) – Gets or sets the ID of the resource to navigate to.

class `azure.mgmt.automation.models.``DscReportResource`(*, resource_id: str = None, source_info: str = None, depends_on=None, module_name: str = None, module_version: str = None, resource_name: str = None, error: str = None, status: str = None, duration_in_seconds: float = None, start_date=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the DSC Report Resource.

  Parameters:

  - resource_id (str) – Gets or sets the ID of the resource.
  - source_info (str) – Gets or sets the source info of the resource.
  - depends_on (list[DscReportResourceNavigation]) – Gets or sets the Resource Navigation values for resources the resource depends on.
  - module_name (str) – Gets or sets the module name of the resource.
  - module_version (str) – Gets or sets the module version of the resource.
  - resource_name (str) – Gets or sets the name of the resource.
  - error (str) – Gets or sets the error of the resource.
  - status (str) – Gets or sets the status of the resource.
  - duration_in_seconds (float) – Gets or sets the duration in seconds for the resource.
  - start_date (datetime) – Gets or sets the start date of the resource.

class `azure.mgmt.automation.models.``DscMetaConfiguration`(*, configuration_mode_frequency_mins: int = None, reboot_node_if_needed: bool = None, configuration_mode: str = None, action_after_reboot: str = None, certificate_id: str = None, refresh_frequency_mins: int = None, allow_module_overwrite: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the DSC Meta Configuration.

  Parameters:

  - configuration_mode_frequency_mins (int) – Gets or sets the ConfigurationModeFrequencyMins value of the meta configuration.
  - reboot_node_if_needed (bool) – Gets or sets the RebootNodeIfNeeded value of the meta configuration.
  - configuration_mode (str) – Gets or sets the ConfigurationMode value of the meta configuration.
  - action_after_reboot (str) – Gets or sets the ActionAfterReboot value of the meta configuration.
  - certificate_id (str) – Gets or sets the CertificateId value of the meta configuration.
  - refresh_frequency_mins (int) – Gets or sets the RefreshFrequencyMins value of the meta configuration.
  - allow_module_overwrite (bool) – Gets or sets the AllowModuleOverwrite value of the meta configuration.

class `azure.mgmt.automation.models.``DscNodeReport`(*, end_time=None, last_modified_time=None, start_time=None, type: str = None, report_id: str = None, status: str = None, refresh_mode: str = None, reboot_requested: str = None, report_format_version: str = None, configuration_version: str = None, id: str = None, errors=None, resources=None, meta_configuration=None, host_name: str = None, i_pv4_addresses=None, i_pv6_addresses=None, number_of_resources: int = None, raw_errors: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the dsc node report type.

  Parameters:

  - end_time (datetime) – Gets or sets the end time of the node report.
  - last_modified_time (datetime) – Gets or sets the lastModifiedTime of the node report.
  - start_time (datetime) – Gets or sets the start time of the node report.
  - type (str) – Gets or sets the type of the node report.
  - report_id (str) – Gets or sets the id of the node report.
  - status (str) – Gets or sets the status of the node report.
  - refresh_mode (str) – Gets or sets the refreshMode of the node report.
  - reboot_requested (str) – Gets or sets the rebootRequested of the node report.
  - report_format_version (str) – Gets or sets the reportFormatVersion of the node report.
  - configuration_version (str) – Gets or sets the configurationVersion of the node report.
  - id (str) – Gets or sets the id.
  - errors (list[DscReportError]) – Gets or sets the errors for the node report.
  - resources (list[DscReportResource]) – Gets or sets the resource for the node report.
  - meta_configuration (DscMetaConfiguration) – Gets or sets the metaConfiguration of the node at the time of the report.
  - host_name (str) – Gets or sets the hostname of the node that sent the report.
  - i_pv4_addresses (list[str]) – Gets or sets the IPv4 address of the node that sent the report.
  - i_pv6_addresses (list[str]) – Gets or sets the IPv6 address of the node that sent the report.
  - number_of_resources (int) – Gets or sets the number of resource in the node report.
  - raw_errors (str) – Gets or sets the unparsed errors for the node report.

class `azure.mgmt.automation.models.``AgentRegistrationKeys`(*, primary: str = None, secondary: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the agent registration keys.

  Parameters:

  - primary (str) – Gets or sets the primary key.
  - secondary (str) – Gets or sets the secondary key.

class `azure.mgmt.automation.models.``AgentRegistration`(*, dsc_meta_configuration: str = None, endpoint: str = None, keys=None, id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the agent registration information type.

  Parameters:

  - dsc_meta_configuration (str) – Gets or sets the dsc meta configuration.
  - endpoint (str) – Gets or sets the dsc server endpoint.
  - keys (AgentRegistrationKeys) – Gets or sets the agent registration keys.
  - id (str) – Gets or sets the id.

class `azure.mgmt.automation.models.``DscNodeExtensionHandlerAssociationProperty`(*, name: str = None, version: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The dsc extensionHandler property associated with the node.

  Parameters:

  - name (str) – Gets or sets the name of the extension handler.
  - version (str) – Gets or sets the version of the extension handler.

class `azure.mgmt.automation.models.``DscNode`(*, last_seen=None, registration_time=None, ip: str = None, account_id: str = None, dsc_node_name: str = None, status: str = None, node_id: str = None, etag: str = None, total_count: int = None, extension_handler=None, **kwargs)

  Bases: `azure.mgmt.automation.models.proxy_resource_py3.ProxyResource`

  Definition of a DscNode.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource
  - name (str) – The name of the resource
  - type (str) – The type of the resource.

  Parameters:

  - last_seen (datetime) – Gets or sets the last seen time of the node.
  - registration_time (datetime) – Gets or sets the registration time of the node.
  - ip (str) – Gets or sets the ip of the node.
  - account_id (str) – Gets or sets the account id of the node.
  - dsc_node_name (str) – Gets or sets the name of the dsc node configuration.
  - status (str) – Gets or sets the status of the node.
  - node_id (str) – Gets or sets the node id.
  - etag (str) – Gets or sets the etag of the resource.
  - total_count (int) – Gets the total number of records matching filter criteria.
  - extension_handler (list[DscNodeExtensionHandlerAssociationProperty]) – Gets or sets the list of extensionHandler properties for a Node.

class `azure.mgmt.automation.models.``AgentRegistrationRegenerateKeyParameter`(*, key_name, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the regenerate keys operation.

  All required parameters must be populated in order to send to Azure.

  Parameters: | key_name (str or AgentRegistrationKeyName) – Required. Gets or sets the agent registration key name - primary or secondary. Possible values include: ‘primary’, ‘secondary’

class `azure.mgmt.automation.models.``DscNodeUpdateParametersProperties`(*, name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  DscNodeUpdateParametersProperties.

  Parameters: | name (str) – Gets or sets the name of the dsc node configuration.

class `azure.mgmt.automation.models.``DscNodeUpdateParameters`(*, node_id: str = None, properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the update dsc node operation.

  Parameters:

  - node_id (str) – Gets or sets the id of the dsc node.
  - properties (DscNodeUpdateParametersProperties) –

class `azure.mgmt.automation.models.``DscConfigurationAssociationProperty`(*, name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The Dsc configuration property associated with the entity.

  Parameters: | name (str) – Gets or sets the name of the Dsc configuration.

class `azure.mgmt.automation.models.``DscCompilationJob`(*, configuration=None, provisioning_state=None, run_on: str = None, status=None, status_details: str = None, parameters=None, **kwargs)

  Bases: `azure.mgmt.automation.models.proxy_resource_py3.ProxyResource`

  Definition of the Dsc Compilation job.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource
  - name (str) – The name of the resource
  - type (str) – The type of the resource.
  - started_by (str) – Gets the compilation job started by.
  - job_id (str) – Gets the id of the job.
  - creation_time (datetime) – Gets the creation time of the job.
  - start_time (datetime) – Gets the start time of the job.
  - end_time (datetime) – Gets the end time of the job.
  - exception (str) – Gets the exception of the job.
  - last_modified_time (datetime) – Gets the last modified time of the job.
  - last_status_modified_time (datetime) – Gets the last status modified time of the job.

  Parameters:

  - configuration (DscConfigurationAssociationProperty) – Gets or sets the configuration.
  - provisioning_state (str or JobProvisioningState) – The current provisioning state of the job. Possible values include: ‘Failed’, ‘Succeeded’, ‘Suspended’, ‘Processing’
  - run_on (str) – Gets or sets the runOn which specifies the group name where the job is to be executed.
  - status (str or JobStatus) – Gets or sets the status of the job. Possible values include: ‘New’, ‘Activating’, ‘Running’, ‘Completed’, ‘Failed’, ‘Stopped’, ‘Blocked’, ‘Suspended’, ‘Disconnected’, ‘Suspending’, ‘Stopping’, ‘Resuming’, ‘Removing’
  - status_details (str) – Gets or sets the status details of the job.
  - parameters (dict[str, str]) – Gets or sets the parameters of the job.

class `azure.mgmt.automation.models.``DscCompilationJobCreateParameters`(*, configuration, parameters=None, increment_node_configuration_build: bool = None, name: str = None, location: str = None, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the create compilation job operation.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - configuration (DscConfigurationAssociationProperty) – Required. Gets or sets the configuration.
  - parameters (dict[str, str]) – Gets or sets the parameters of the job.
  - increment_node_configuration_build (bool) – If a new build version of NodeConfiguration is required.
  - name (str) – Gets or sets name of the resource.
  - location (str) – Gets or sets the location of the resource.
  - tags (dict[str, str]) – Gets or sets the tags attached to the resource.

class `azure.mgmt.automation.models.``DscNodeConfiguration`(*, last_modified_time=None, creation_time=None, configuration=None, source: str = None, node_count: int = None, increment_node_configuration_build: bool = None, **kwargs)

  Bases: `azure.mgmt.automation.models.proxy_resource_py3.ProxyResource`

  Definition of the dsc node configuration.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource
  - name (str) – The name of the resource
  - type (str) – The type of the resource.

  Parameters:

  - last_modified_time (datetime) – Gets or sets the last modified time.
  - creation_time (datetime) – Gets or sets creation time.
  - configuration (DscConfigurationAssociationProperty) – Gets or sets the configuration of the node.
  - source (str) – Source of node configuration.
  - node_count (long) – Number of nodes with this node configuration assigned
  - increment_node_configuration_build (bool) – If a new build version of NodeConfiguration is required.

class `azure.mgmt.automation.models.``DscNodeConfigurationCreateOrUpdateParameters`(*, source, configuration, increment_node_configuration_build: bool = None, name: str = None, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the create or update node configuration operation.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source (ContentSource) – Required. Gets or sets the source.
  - configuration (DscConfigurationAssociationProperty) – Required. Gets or sets the configuration of the node.
  - increment_node_configuration_build (bool) – If a new build version of NodeConfiguration is required.
  - name (str) – Name of the node configuration.
  - tags (dict[str, str]) – Gets or sets the tags attached to the resource.

class `azure.mgmt.automation.models.``NodeCountProperties`(*, count: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  NodeCountProperties.

  Parameters: | count (int) – Gets the count for the name

class `azure.mgmt.automation.models.``NodeCount`(*, name: str = None, properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Number of nodes based on the Filter.

  Parameters:

  - name (str) – Gets the name of a count type
  - properties (NodeCountProperties) –

class `azure.mgmt.automation.models.``NodeCounts`(*, value=None, total_count: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Gets the count of nodes by count type.

  Parameters:

  - value (list[NodeCount]) – Gets an array of counts
  - total_count (int) – Gets the total number of records matching countType criteria.

class `azure.mgmt.automation.models.``RunbookParameter`(*, type: str = None, is_mandatory: bool = None, position: int = None, default_value: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the runbook parameter type.

  Parameters:

  - type (str) – Gets or sets the type of the parameter.
  - is_mandatory (bool) – Gets or sets a Boolean value to indicate whether the parameter is mandatory or not.
  - position (int) – Get or sets the position of the parameter.
  - default_value (str) – Gets or sets the default value of parameter.

class `azure.mgmt.automation.models.``RunbookDraft`(*, in_edit: bool = None, draft_content_link=None, creation_time=None, last_modified_time=None, parameters=None, output_types=None, **kwargs)

  Bases: `msrest.serialization.Model`

  RunbookDraft.

  Parameters:

  - in_edit (bool) – Gets or sets whether runbook is in edit mode.
  - draft_content_link (ContentLink) – Gets or sets the draft runbook content link.
  - creation_time (datetime) – Gets or sets the creation time of the runbook draft.
  - last_modified_time (datetime) – Gets or sets the last modified time of the runbook draft.
  - parameters (dict[str, RunbookParameter]) – Gets or sets the runbook draft parameters.
  - output_types (list[str]) – Gets or sets the runbook output types.

class `azure.mgmt.automation.models.``Runbook`(*, tags=None, location: str = None, runbook_type=None, publish_content_link=None, state=None, log_verbose: bool = None, log_progress: bool = None, log_activity_trace: int = None, job_count: int = None, parameters=None, output_types=None, draft=None, provisioning_state=None, last_modified_by: str = None, creation_time=None, last_modified_time=None, description: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.automation.models.tracked_resource_py3.TrackedResource`

  Definition of the runbook type.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource
  - name (str) – The name of the resource
  - type (str) – The type of the resource.

  Parameters:

  - tags (dict[str, str]) – Resource tags.
  - location (str) – The Azure Region where the resource lives
  - runbook_type (str or RunbookTypeEnum) – Gets or sets the type of the runbook. Possible values include: ‘Script’, ‘Graph’, ‘PowerShellWorkflow’, ‘PowerShell’, ‘GraphPowerShellWorkflow’, ‘GraphPowerShell’
  - publish_content_link (ContentLink) – Gets or sets the published runbook content link.
  - state (str or RunbookState) – Gets or sets the state of the runbook. Possible values include: ‘New’, ‘Edit’, ‘Published’
  - log_verbose (bool) – Gets or sets verbose log option.
  - log_progress (bool) – Gets or sets progress log option.
  - log_activity_trace (int) – Gets or sets the option to log activity trace of the runbook.
  - job_count (int) – Gets or sets the job count of the runbook.
  - parameters (dict[str, RunbookParameter]) – Gets or sets the runbook parameters.
  - output_types (list[str]) – Gets or sets the runbook output types.
  - draft (RunbookDraft) – Gets or sets the draft runbook properties.
  - provisioning_state (str or RunbookProvisioningState) – Gets or sets the provisioning state of the runbook. Possible values include: ‘Succeeded’
  - last_modified_by (str) – Gets or sets the last modified by.
  - creation_time (datetime) – Gets or sets the creation time.
  - last_modified_time (datetime) – Gets or sets the last modified time.
  - description (str) – Gets or sets the description.
  - etag (str) – Gets or sets the etag of the resource.

class `azure.mgmt.automation.models.``RunbookCreateOrUpdateParameters`(*, runbook_type, log_verbose: bool = None, log_progress: bool = None, draft=None, publish_content_link=None, description: str = None, log_activity_trace: int = None, name: str = None, location: str = None, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the create or update runbook operation.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - log_verbose (bool) – Gets or sets verbose log option.
  - log_progress (bool) – Gets or sets progress log option.
  - runbook_type (str or RunbookTypeEnum) – Required. Gets or sets the type of the runbook. Possible values include: ‘Script’, ‘Graph’, ‘PowerShellWorkflow’, ‘PowerShell’, ‘GraphPowerShellWorkflow’, ‘GraphPowerShell’
  - draft (RunbookDraft) – Gets or sets the draft runbook properties.
  - publish_content_link (ContentLink) – Gets or sets the published runbook content link.
  - description (str) – Gets or sets the description of the runbook.
  - log_activity_trace (int) – Gets or sets the activity-level tracing options of the runbook.
  - name (str) – Gets or sets the name of the resource.
  - location (str) – Gets or sets the location of the resource.
  - tags (dict[str, str]) – Gets or sets the tags attached to the resource.

class `azure.mgmt.automation.models.``RunbookUpdateParameters`(*, description: str = None, log_verbose: bool = None, log_progress: bool = None, log_activity_trace: int = None, name: str = None, location: str = None, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the update runbook operation.

  Parameters:

  - description (str) – Gets or sets the description of the runbook.
  - log_verbose (bool) – Gets or sets verbose log option.
  - log_progress (bool) – Gets or sets progress log option.
  - log_activity_trace (int) – Gets or sets the activity-level tracing options of the runbook.
  - name (str) – Gets or sets the name of the resource.
  - location (str) – Gets or sets the location of the resource.
  - tags (dict[str, str]) – Gets or sets the tags attached to the resource.

class `azure.mgmt.automation.models.``RunbookDraftUndoEditResult`(*, status_code=None, request_id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The response model for the undo edit runbook operation.

  Parameters:

  - status_code (str or HttpStatusCode) – Possible values include: ‘Continue’, ‘SwitchingProtocols’, ‘OK’, ‘Created’, ‘Accepted’, ‘NonAuthoritativeInformation’, ‘NoContent’, ‘ResetContent’, ‘PartialContent’, ‘MultipleChoices’, ‘Ambiguous’, ‘MovedPermanently’, ‘Moved’, ‘Found’, ‘Redirect’, ‘SeeOther’, ‘RedirectMethod’, ‘NotModified’, ‘UseProxy’, ‘Unused’, ‘TemporaryRedirect’, ‘RedirectKeepVerb’, ‘BadRequest’, ‘Unauthorized’, ‘PaymentRequired’, ‘Forbidden’, ‘NotFound’, ‘MethodNotAllowed’, ‘NotAcceptable’, ‘ProxyAuthenticationRequired’, ‘RequestTimeout’, ‘Conflict’, ‘Gone’, ‘LengthRequired’, ‘PreconditionFailed’, ‘RequestEntityTooLarge’, ‘RequestUriTooLong’, ‘UnsupportedMediaType’, ‘RequestedRangeNotSatisfiable’, ‘ExpectationFailed’, ‘UpgradeRequired’, ‘InternalServerError’, ‘NotImplemented’, ‘BadGateway’, ‘ServiceUnavailable’, ‘GatewayTimeout’, ‘HttpVersionNotSupported’
  - request_id (str) –

class `azure.mgmt.automation.models.``TestJobCreateParameters`(*, parameters=None, run_on: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the create test job operation.

  Parameters:

  - parameters (dict[str, str]) – Gets or sets the parameters of the test job.
  - run_on (str) – Gets or sets the runOn which specifies the group name where the job is to be executed.

class `azure.mgmt.automation.models.``TestJob`(*, creation_time=None, status: str = None, status_details: str = None, run_on: str = None, start_time=None, end_time=None, exception: str = None, last_modified_time=None, last_status_modified_time=None, parameters=None, log_activity_trace: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Definition of the test job.

  Parameters:

  - creation_time (datetime) – Gets or sets the creation time of the test job.
  - status (str) – Gets or sets the status of the test job.
  - status_details (str) – Gets or sets the status details of the test job.
  - run_on (str) – Gets or sets the runOn which specifies the group name where the job is to be executed.
  - start_time (datetime) – Gets or sets the start time of the test job.
  - end_time (datetime) – Gets or sets the end time of the test job.
  - exception (str) – Gets or sets the exception of the test job.
  - last_modified_time (datetime) – Gets or sets the last modified time of the test job.
  - last_status_modified_time (datetime) – Gets or sets the last status modified time of the test job.
  - parameters (dict[str, str]) – Gets or sets the parameters of the test job.
  - log_activity_trace (int) – The activity-level tracing options of the runbook.

class `azure.mgmt.automation.models.``RunbookCreateOrUpdateDraftProperties`(*, runbook_type, draft, log_verbose: bool = None, log_progress: bool = None, description: str = None, log_activity_trace: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the create or update draft runbook properties.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - log_verbose (bool) – Gets or sets verbose log option.
  - log_progress (bool) – Gets or sets progress log option.
  - runbook_type (str or RunbookTypeEnum) – Required. Gets or sets the type of the runbook. Possible values include: ‘Script’, ‘Graph’, ‘PowerShellWorkflow’, ‘PowerShell’, ‘GraphPowerShellWorkflow’, ‘GraphPowerShell’
  - draft (RunbookDraft) – Required. Gets or sets the draft runbook properties.
  - description (str) – Gets or sets the description of the runbook.
  - log_activity_trace (int) – Gets or sets the activity-level tracing options of the runbook.

class `azure.mgmt.automation.models.``RunbookCreateOrUpdateDraftParameters`(*, runbook_content: str, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the create or update runbook operation.

  All required parameters must be populated in order to send to Azure.

  Parameters: | runbook_content (str) – Required. Content of the Runbook.

class `azure.mgmt.automation.models.``PythonPackageCreateParameters`(*, content_link, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the create or update module operation.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - content_link (ContentLink) – Required. Gets or sets the module content link.
  - tags (dict[str, str]) – Gets or sets the tags attached to the resource.

class `azure.mgmt.automation.models.``PythonPackageUpdateParameters`(*, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters supplied to the update module operation.

  Parameters: | tags (dict[str, str]) – Gets or sets the tags attached to the resource.

class `azure.mgmt.automation.models.``AutomationAccountPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `AutomationAccount` object

class `azure.mgmt.automation.models.``OperationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Operation` object

class `azure.mgmt.automation.models.``StatisticsPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Statistics` object

class `azure.mgmt.automation.models.``UsagePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Usage` object

class `azure.mgmt.automation.models.``CertificatePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Certificate` object

class `azure.mgmt.automation.models.``ConnectionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Connection` object

class `azure.mgmt.automation.models.``ConnectionTypePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ConnectionType` object

class `azure.mgmt.automation.models.``CredentialPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Credential` object

class `azure.mgmt.automation.models.``DscConfigurationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `DscConfiguration` object

class `azure.mgmt.automation.models.``HybridRunbookWorkerGroupPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `HybridRunbookWorkerGroup` object

class `azure.mgmt.automation.models.``JobSchedulePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `JobSchedule` object

class `azure.mgmt.automation.models.``ActivityPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Activity` object

class `azure.mgmt.automation.models.``ModulePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Module` object

class `azure.mgmt.automation.models.``TypeFieldPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `TypeField` object

class `azure.mgmt.automation.models.``SchedulePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Schedule` object

class `azure.mgmt.automation.models.``VariablePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Variable` object

class `azure.mgmt.automation.models.``WebhookPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Webhook` object

class `azure.mgmt.automation.models.``WatcherPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Watcher` object

class `azure.mgmt.automation.models.``SourceControlPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `SourceControl` object

class `azure.mgmt.automation.models.``SourceControlSyncJobPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `SourceControlSyncJob` object

class `azure.mgmt.automation.models.``SourceControlSyncJobStreamPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `SourceControlSyncJobStream` object

class `azure.mgmt.automation.models.``JobCollectionItemPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `JobCollectionItem` object

class `azure.mgmt.automation.models.``JobStreamPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `JobStream` object

class `azure.mgmt.automation.models.``DscNodePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `DscNode` object

class `azure.mgmt.automation.models.``DscNodeReportPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `DscNodeReport` object

class `azure.mgmt.automation.models.``DscCompilationJobPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `DscCompilationJob` object

class `azure.mgmt.automation.models.``DscNodeConfigurationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `DscNodeConfiguration` object

class `azure.mgmt.automation.models.``RunbookPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Runbook` object

class `azure.mgmt.automation.models.``SkuNameEnum`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `basic` = 'Basic'
  `free` = 'Free'

class `azure.mgmt.automation.models.``AutomationAccountState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `ok` = 'Ok'
  `suspended` = 'Suspended'
  `unavailable` = 'Unavailable'

class `azure.mgmt.automation.models.``AutomationKeyName`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `primary` = 'Primary'
  `secondary` = 'Secondary'

class `azure.mgmt.automation.models.``AutomationKeyPermissions`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `full` = 'Full'
  `read` = 'Read'

class `azure.mgmt.automation.models.``ContentSourceType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `embedded_content` = 'embeddedContent'
  `uri` = 'uri'

class `azure.mgmt.automation.models.``DscConfigurationProvisioningState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `succeeded` = 'Succeeded'

class `azure.mgmt.automation.models.``DscConfigurationState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `edit` = 'Edit'
  `new` = 'New'
  `published` = 'Published'

class `azure.mgmt.automation.models.``GroupTypeEnum`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `system` = 'System'
  `user` = 'User'

class `azure.mgmt.automation.models.``ModuleProvisioningState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `activities_stored` = 'ActivitiesStored'
  `cancelled` = 'Cancelled'
  `connection_type_imported` = 'ConnectionTypeImported'
  `content_downloaded` = 'ContentDownloaded'
  `content_retrieved` = 'ContentRetrieved'
  `content_stored` = 'ContentStored'
  `content_validated` = 'ContentValidated'
  `created` = 'Created'
  `creating` = 'Creating'
  `failed` = 'Failed'
  `module_data_stored` = 'ModuleDataStored'
  `module_import_runbook_complete` = 'ModuleImportRunbookComplete'
  `running_import_module_runbook` = 'RunningImportModuleRunbook'
  `starting_import_module_runbook` = 'StartingImportModuleRunbook'
  `succeeded` = 'Succeeded'
  `updating` = 'Updating'

class `azure.mgmt.automation.models.``ScheduleDay`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `friday` = 'Friday'
  `monday` = 'Monday'
  `saturday` = 'Saturday'
  `sunday` = 'Sunday'
  `thursday` = 'Thursday'
  `tuesday` = 'Tuesday'
  `wednesday` = 'Wednesday'

class `azure.mgmt.automation.models.``ScheduleFrequency`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `day` = 'Day'
  `hour` = 'Hour'
  `month` = 'Month'
  `one_time` = 'OneTime'
  `week` = 'Week'

class `azure.mgmt.automation.models.``OperatingSystemType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `linux` = 'Linux'
  `windows` = 'Windows'

class `azure.mgmt.automation.models.``WindowsUpdateClasses`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `critical` = 'Critical'
  `definition` = 'Definition'
  `feature_pack` = 'FeaturePack'
  `security` = 'Security'
  `service_pack` = 'ServicePack'
  `tools` = 'Tools'
  `unclassified` = 'Unclassified'
  `update_rollup` = 'UpdateRollup'
  `updates` = 'Updates'

class `azure.mgmt.automation.models.``LinuxUpdateClasses`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `critical` = 'Critical'
  `other` = 'Other'
  `security` = 'Security'
  `unclassified` = 'Unclassified'

class `azure.mgmt.automation.models.``TagOperators`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `all` = 'All'
  `any` = 'Any'

class `azure.mgmt.automation.models.``SourceType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `git_hub` = 'GitHub'
  `vso_git` = 'VsoGit'
  `vso_tfvc` = 'VsoTfvc'

class `azure.mgmt.automation.models.``TokenType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `oauth` = 'Oauth'
  `personal_access_token` = 'PersonalAccessToken'

class `azure.mgmt.automation.models.``ProvisioningState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `completed` = 'Completed'
  `failed` = 'Failed'
  `running` = 'Running'

class `azure.mgmt.automation.models.``SyncType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `full_sync` = 'FullSync'
  `partial_sync` = 'PartialSync'

class `azure.mgmt.automation.models.``StreamType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `error` = 'Error'
  `output` = 'Output'

class `azure.mgmt.automation.models.``JobStreamType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `any` = 'Any'
  `debug` = 'Debug'
  `error` = 'Error'
  `output` = 'Output'
  `progress` = 'Progress'
  `verbose` = 'Verbose'
  `warning` = 'Warning'

class `azure.mgmt.automation.models.``JobStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `activating` = 'Activating'
  `blocked` = 'Blocked'
  `completed` = 'Completed'
  `disconnected` = 'Disconnected'
  `failed` = 'Failed'
  `new` = 'New'
  `removing` = 'Removing'
  `resuming` = 'Resuming'
  `running` = 'Running'
  `stopped` = 'Stopped'
  `stopping` = 'Stopping'
  `suspended` = 'Suspended'
  `suspending` = 'Suspending'

class `azure.mgmt.automation.models.``JobProvisioningState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `failed` = 'Failed'
  `processing` = 'Processing'
  `succeeded` = 'Succeeded'
  `suspended` = 'Suspended'

class `azure.mgmt.automation.models.``AgentRegistrationKeyName`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `primary` = 'primary'
  `secondary` = 'secondary'

class `azure.mgmt.automation.models.``RunbookTypeEnum`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `graph` = 'Graph'
  `graph_power_shell` = 'GraphPowerShell'
  `graph_power_shell_workflow` = 'GraphPowerShellWorkflow'
  `power_shell` = 'PowerShell'
  `power_shell_workflow` = 'PowerShellWorkflow'
  `script` = 'Script'

class `azure.mgmt.automation.models.``RunbookState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `edit` = 'Edit'
  `new` = 'New'
  `published` = 'Published'

class `azure.mgmt.automation.models.``RunbookProvisioningState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `succeeded` = 'Succeeded'

class `azure.mgmt.automation.models.``HttpStatusCode`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `accepted` = 'Accepted'
  `ambiguous` = 'Ambiguous'
  `bad_gateway` = 'BadGateway'
  `bad_request` = 'BadRequest'
  `conflict` = 'Conflict'
  `continue_enum` = 'Continue'
  `created` = 'Created'
  `expectation_failed` = 'ExpectationFailed'
  `forbidden` = 'Forbidden'
  `found` = 'Found'
  `gateway_timeout` = 'GatewayTimeout'
  `gone` = 'Gone'
  `http_version_not_supported` = 'HttpVersionNotSupported'
  `internal_server_error` = 'InternalServerError'
  `length_required` = 'LengthRequired'
  `method_not_allowed` = 'MethodNotAllowed'
  `moved` = 'Moved'
  `moved_permanently` = 'MovedPermanently'
  `multiple_choices` = 'MultipleChoices'
  `no_content` = 'NoContent'
  `non_authoritative_information` = 'NonAuthoritativeInformation'
  `not_acceptable` = 'NotAcceptable'
  `not_found` = 'NotFound'
  `not_implemented` = 'NotImplemented'
  `not_modified` = 'NotModified'
  `ok` = 'OK'
  `partial_content` = 'PartialContent'
  `payment_required` = 'PaymentRequired'
  `precondition_failed` = 'PreconditionFailed'
  `proxy_authentication_required` = 'ProxyAuthenticationRequired'
  `redirect` = 'Redirect'
  `redirect_keep_verb` = 'RedirectKeepVerb'
  `redirect_method` = 'RedirectMethod'
  `request_entity_too_large` = 'RequestEntityTooLarge'
  `request_timeout` = 'RequestTimeout'
  `request_uri_too_long` = 'RequestUriTooLong'
  `requested_range_not_satisfiable` = 'RequestedRangeNotSatisfiable'
  `reset_content` = 'ResetContent'
  `see_other` = 'SeeOther'
  `service_unavailable` = 'ServiceUnavailable'
  `switching_protocols` = 'SwitchingProtocols'
  `temporary_redirect` = 'TemporaryRedirect'
  `unauthorized` = 'Unauthorized'
  `unsupported_media_type` = 'UnsupportedMediaType'
  `unused` = 'Unused'
  `upgrade_required` = 'UpgradeRequired'
  `use_proxy` = 'UseProxy'

class `azure.mgmt.automation.models.``CountType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `nodeconfiguration` = 'nodeconfiguration'
  `status` = 'status'